package com.inspect.ivs.domain;

import java.io.Serializable;

public class RealMediaURLParam implements Serializable {
   private int serviceType = 1;
   private int packProtocolType = 1;
   private int streamType = 1;
   private int protocolType = 2;
   private int transMode = 1;
   private int broadCastType = 0;
   private int clientType = 1;
   private TimeSpan timeSpan;
   private String fileName;

   public int getServiceType() {
      return this.serviceType;
   }

   public int getPackProtocolType() {
      return this.packProtocolType;
   }

   public int getStreamType() {
      return this.streamType;
   }

   public int getProtocolType() {
      return this.protocolType;
   }

   public int getTransMode() {
      return this.transMode;
   }

   public int getBroadCastType() {
      return this.broadCastType;
   }

   public int getClientType() {
      return this.clientType;
   }

   public TimeSpan getTimeSpan() {
      return this.timeSpan;
   }

   public String getFileName() {
      return this.fileName;
   }

   public void setServiceType(int serviceType) {
      this.serviceType = serviceType;
   }

   public void setPackProtocolType(int packProtocolType) {
      this.packProtocolType = packProtocolType;
   }

   public void setStreamType(int streamType) {
      this.streamType = streamType;
   }

   public void setProtocolType(int protocolType) {
      this.protocolType = protocolType;
   }

   public void setTransMode(int transMode) {
      this.transMode = transMode;
   }

   public void setBroadCastType(int broadCastType) {
      this.broadCastType = broadCastType;
   }

   public void setClientType(int clientType) {
      this.clientType = clientType;
   }

   public void setTimeSpan(TimeSpan timeSpan) {
      this.timeSpan = timeSpan;
   }

   public void setFileName(String fileName) {
      this.fileName = fileName;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof RealMediaURLParam)) {
         return false;
      } else {
         RealMediaURLParam other = (RealMediaURLParam)o;
         if(!other.canEqual(this)) {
            return false;
         } else if(this.getServiceType() != other.getServiceType()) {
            return false;
         } else if(this.getPackProtocolType() != other.getPackProtocolType()) {
            return false;
         } else if(this.getStreamType() != other.getStreamType()) {
            return false;
         } else if(this.getProtocolType() != other.getProtocolType()) {
            return false;
         } else if(this.getTransMode() != other.getTransMode()) {
            return false;
         } else if(this.getBroadCastType() != other.getBroadCastType()) {
            return false;
         } else if(this.getClientType() != other.getClientType()) {
            return false;
         } else {
            Object this$timeSpan = this.getTimeSpan();
            Object other$timeSpan = other.getTimeSpan();
            if(this$timeSpan == null) {
               if(other$timeSpan != null) {
                  return false;
               }
            } else if(!this$timeSpan.equals(other$timeSpan)) {
               return false;
            }

            Object this$fileName = this.getFileName();
            Object other$fileName = other.getFileName();
            if(this$fileName == null) {
               if(other$fileName != null) {
                  return false;
               }
            } else if(!this$fileName.equals(other$fileName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof RealMediaURLParam;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      result = result * 59 + this.getServiceType();
      result = result * 59 + this.getPackProtocolType();
      result = result * 59 + this.getStreamType();
      result = result * 59 + this.getProtocolType();
      result = result * 59 + this.getTransMode();
      result = result * 59 + this.getBroadCastType();
      result = result * 59 + this.getClientType();
      Object $timeSpan = this.getTimeSpan();
      result = result * 59 + ($timeSpan == null?43:$timeSpan.hashCode());
      Object $fileName = this.getFileName();
      result = result * 59 + ($fileName == null?43:$fileName.hashCode());
      return result;
   }

   public String toString() {
      return "RealMediaURLParam(serviceType=" + this.getServiceType() + ", packProtocolType=" + this.getPackProtocolType() + ", streamType=" + this.getStreamType() + ", protocolType=" + this.getProtocolType() + ", transMode=" + this.getTransMode() + ", broadCastType=" + this.getBroadCastType() + ", clientType=" + this.getClientType() + ", timeSpan=" + this.getTimeSpan() + ", fileName=" + this.getFileName() + ")";
   }
}
